@import url("https://fonts.googleapis.com/css?family=IBM+Plex+Sans|IBM+Plex+Serif");
@import url("https://fonts.googleapis.com/css?family=IBM+Plex+Mono|IBM+Plex+Sans+Condensed");

/* 
    font-family: 'IBM Plex Mono', 'Menlo', 'DejaVu Sans Mono', 'Bitstream Vera Sans Mono', Courier, monospace;
    font-family: 'IBM Plex Sans', 'Helvetica Neue', Arial, sans-serif;
    font-family: 'IBM Plex Sans Condensed', 'Helvetica Neue', Arial, sans-serif;
    font-family: 'IBM Plex Serif', 'Georgia', Times, serif;
*/

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- General Styles */
/* ------------------------------------------------------------ */

* {
    outline: none;
    box-sizing: border-box;
    user-select: none;
    line-height: normal
}

html {
    font-family: 'IBM Plex Sans', 'Helvetica Neue', Arial, sans-serif
}

a {
    color: initial;
    text-decoration: none
}

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- Body Styles */
/* ------------------------------------------------------------ */

body {
    width: 100%;
    height: 100vh;
    display: flex;
	flex-wrap: wrap;
    align-items: center;
	flex-direction: column;
    justify-content: center;
    background: #c1bdba
}

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- Wrapper Styles */
/* ------------------------------------------------------------ */

.wrapper {
    width: 80%;
    max-width: 1140px;
    display: flex;
    min-height: 90vh;
    align-items: center;
    flex-direction: column;
    background: rgba(19, 35, 47, 0.9)
}

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- Nav Styles */
/* ------------------------------------------------------------ */

nav {
    width: 100%;
    height: 6vh;
    display: flex
}

.tab-group {
    width: 100%;
    display: flex
}

.tab-group > .tab {
    display: flex;
    width: calc(100% / 3)
}

.tab-group > li > a {
    width: 100%;
    color: #a0b3b0;
    display: flex;
	font-size: 20px;
    transition: .5s ease;
    align-items: center;
    justify-content: center;
	background: rgba(160, 179, 176, 0.25)
}

.tab-group > li > a:hover {
    color: #ffffff;
	background: #179b77
}

.tab-group > .active > a {
    color: #ffffff;
	background: #1ab188
}

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- Main Styles */
/* ------------------------------------------------------------ */

.main {
    width: 100%;
    height: 84vh;
    display: flex;
    padding: 30px;
    justify-content: center
}

.main > div {
    width: 90%;
    display: flex;
    flex-direction: column
}

.main > div:not(:first-child){
    display: none
}

.f-block {
    width: 50%;
    display: flex;
    margin: -10px auto -5px auto;
    align-items: center
}

.f-block > .ghost{
    width: 24%;
    margin-right: auto
}

.f-block > .ghost-block {
    width: 24%;
    margin-left: auto
}
.ghost-block > .btn {
    float: right;
    visibility: hidden;
}

.f-block > .title {
    width: 40%;
    color: #ffffff;
    font-size: 30px;
    text-align: center
}

.hidden {
    display: none;
    transition: all 1s linear
}

.btn:hover > .hidden {
    display: initial
}

.btn {
    /* width: 24%; */
	color: #ffffff;
	border: 0;
	padding: 8px;
    font-size: 12px;
	background: #1ab188;
	transition: all 0.5s ease;
	letter-spacing: 2px;
	text-transform: uppercase
}

.btn:focus, .btn:hover{
    outline: 1px solid white;
    outline-offset: -3px;
    transition: 0s;
}

.btn.delete {
    background: #b11a1a
}

form {
    width: 100%;
    margin: 10px 0;
    display: flex;
    align-items: center;
    flex-direction: column
}

input {
	color: #ffffff;
    width: 50%;
    margin: 5px;
	border: 1px solid #a0b3b0;
	padding: 5px 8px;
	font-size: 15px;
    background: none;
	transition: all .25s ease
}

form > input:last-of-type{
    margin-bottom: 10px
}

input:focus, select:focus {
	border-color: #1ab188
}

.btn.update-button, .btn.delete.delete-button {
    margin: 0;
}

td > input {
    margin: 0;
    width: 80%
}

#create-to-hire {
    min-height: 160px
}

#create-to-hire > input, select {
    width: 25%;
}

#create-to-hire > input {
    margin-top: 84px
}

[class*= 'select-option'] > select {
    color: #ffffff;
    width: 100%;
    margin: 5px;
	padding: 5px 5px;
	font-size: 15px;
    background: none;
    overflow-y: scroll;
}

select > option {
    color: #ffffff;
    font-size: 15px;
    padding: 5px;
    background: rgba(19, 35, 47, 0.9);
    border-color: #1ab188;
}

[class*= 'select-option'] {
    width: 30%;
}

.select-wrapper {
    max-height: 100px;
    /* overflow-x: scroll; */
}

.select-option {
    position: absolute;
    left: 35%;
    top: 128px
}

.select-option.two {
    top: 168px
}

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- Table Styles */
/* ------------------------------------------------------------ */

table{
    width: 100%;
    table-layout: fixed;
}

.tbl-content{
    height: 35vh;
    overflow-x: auto;
    border: 1px solid rgba(255,255,255,0.3);
}

th{
    color: #fff;
    padding: 16px 15px;
    font-size: 12px;
    text-align: left;
    font-weight: 500;
    text-transform: uppercase;
}

td{
    color: #fff;
    padding: 7px;
    font-size: 12px;
    /* text-align: left; */
    vertical-align: middle;
    border-bottom: solid 1px rgba(255,255,255,0.1);
}

tr > td:first-child, th:first-child {
    width: 5%;
}

tr > td:last-child, th:last-child {
    width: 29.5%;
}

tr > td, th {
    width: 17%;
}

tbody > tr > td:first-of-type, thead > tr > th:first-of-type {
    text-align: center
}

/* ------------------------------------------------------------ */
/* ---------------------------------------------------------------------- Table Scrollbar Styles */
/* ------------------------------------------------------------ */

::-webkit-scrollbar {
    width: 6px;
} 
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
} 
::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
}

#ichi > ::-webkit-scrollbar, #ni > ::-webkit-scrollbar {
    width: 12px;
}

#ichi > ::-webkit-scrollbar-track, #ni > ::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
}

#ichi > ::-webkit-scrollbar-thumb, #ni > ::-webkit-scrollbar-thumb {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3); 
}

@media screen and (max-width: 767px) {

    .btn {
        font-size: 12px;
    }

    .btn:hover > .hidden {
        display: none
    }

    .f-block, input {
        width: 60%
    }

    .wrapper {
        width: 100%;
        min-height: 100vh;
    }

    nav {
        height: 124px;
    }

    .tab-group {
        width: 100%;
        flex-direction: column
    }

    .tab-group > .tab {
        width: 100%
    }

    .tab-group > li > a {
        padding: 20px
    }

    .f-block > .btn {
        margin-left: auto
    }
    
    .f-block > .ghost{
        width: 24%;
        margin-right: auto
    }

    [class*= 'select-option'] {
        width: 60%;
    }

    #create-to-hire > input {
        width: 30%;
    }

    .select-option {
        position: absolute;
        left: 20%;
        top: 174px
    }
    
    .select-option.two {
        top: 214px
    }

}